#pragma once
#include "Entity.h"
#define CS_PLAYERBARRIER_CREATENAME L"CS_playerbarrier"
//玩家边界栏（用来防止玩家被挤出，掉出某些地方）
class CS_PlayerBarrier :
    public Entity
{
public:
    CS_PlayerBarrier();
    void Init(std::weak_ptr<Entity> self) override;
    std::vector<int> argbuff;
};

std::shared_ptr<Entity> CreateCS_PlayerBarrier();